<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Books</title>
    <link rel="stylesheet" type="text/css" href="{{ url_for('static',filename='styles/styles.css') }}">
<!--    <style>-->
<!--        select {display:block; float:left; width:200px; margin:0 20px;}-->
<!--    </style>-->
</head>
<body class="page page--books">
<div >
    <div>
        <nav> 
            <a href="/"> BACK </a>
        </nav>
    </div>
    <br>
<!--    <div>-->
<!--        <form action="/books" method="post">-->
<!--&lt;!&ndash;            <input type="number" required name="filter_year" placeholder="Enter year">&ndash;&gt;-->
<!--&lt;!&ndash;            <input type="text" required name="filter_genre" placeholder="Enter genre">&ndash;&gt;-->
<!--            <input type="number" name="filter_year" placeholder="Enter year">-->
<!--            <input type="text" name="filter_genre" placeholder="Enter genre">-->
<!--            <input type="submit" value="Check">-->
<!--             <button class="btn" onclick="filterSelection('years')"> Colors</button>-->
<!--        </form>-->
<!--    </div>-->
<!--    <div>-->
<!--        <form action="/books" method="get">-->
<!--            &lt;!&ndash; <div> &ndash;&gt;-->
<!--                &lt;!&ndash; <label for="year_tag"></label> &ndash;&gt;-->
<!--           &lt;!&ndash; <input name="year_tag" id="year_tag" value="Enter Year" placeholder="Enter year"> &ndash;&gt;-->
<!--                &lt;!&ndash; <input name="year" id="year_tag" placeholder="Enter year"> &ndash;&gt;-->
<!--            &lt;!&ndash; </div> &ndash;&gt;-->
<!--            &lt;!&ndash; <div> &ndash;&gt;-->
<!--                &lt;!&ndash; <label for="genre_tag"></label> &ndash;&gt;-->
<!--                &lt;!&ndash; <input name="genre" id="genre_tag"  placeholder="Enter genre"> &ndash;&gt;-->
<!--            &lt;!&ndash; </div> &ndash;&gt;-->
<!--            <div>-->
<!--                <div-->
<!--               <select name="genre" id="genre_tag">GENRE-->
<!--                   <option>ALL</option>-->
<!--                   {% for genres in genre.keys() %}-->
<!--                       <option>{{genres}}</option>-->
<!--                   {% endfor %}-->
<!--               </select>-->
<!--               </div>-->

<!--               <div>-->
<!--               <select name="year" id="year_tag">YEAR-->
<!--                   <option>ALL</option>-->
<!--                   {% for years in year %}-->
<!--                       <option>{{years}}</option>-->
<!--                   {% endfor %}-->
<!--               </select>-->
<!--               </div>-->
<!--        </div>-->

<!--            <div>-->
<!--                <button>Check</button>-->
<!--            </div>-->
<!--    </div>-->
<div>
<form action="/books" method="get">
<select name="genre" id="genre_tag">
<option selected value="ALL">GENRE</option>
<option>ALL</option>
{% for genres in genre.keys() %}
<option>{{genres}}</option>
{% endfor %}
</select>

<select name="year" id="year_tag">
<option selected value="ALL">YEAR</option>
<option>ALL</option>
{% for years in year %}
<option>{{years}}</option>
{% endfor %}
</select>
<button type="submit">Check</button>
</form>
</div>

<h2>Books list</h2>
<h1>
    <table width="100%">
        <tr>
            <th>Update</th>
            <th>№:</th>
            <th>Author</th>
            <th>Book Title</th>
            <th>Genre</th>
            <th>Year</th>          
        </tr>
        {% for book in books %}
            <tr align="center">
                <td><a href="/update/book/{{book.id}}/">Click</a></td>
                 <td>{{loop.index}}</td>
<!--                <td>{{book.id}}</td>-->
                <td>{{book.author_obj.name}}</td>
                <td>{{book.name}}</td>
                <td>{{book.genre_obj.name}}</td>
                <td>{{book.year}}</td>
            </tr>
        {% endfor %}
    </table>
</div>
</body>
</html>